# Disambiguation

> __component__ is ambiguous

### component
Component is tool for package and build management for the frontend. It's
written in JavaScript and you can run it with Node.js. 

http://github.com/componentjs

### components
Components are modular frontend components which can be used with component to build web applications.  
http://github.com/component is a GitHub organization which contains many components.

You can join our IRC channel on freenode: [#components](http://webchat.freenode.net/?channels=components) 

### component.io
http://component.github.io is the _official registry_ you can add your own 
components via the crawler, [see 1.0.0 changelog](https://github.com/componentjs/guide/blob/97efd0a1c8292a90bc679fafdb76e3ad4056ae5e/changelogs/1.0.0.md#registry-crawler)
There is also a [GitHub Wiki](https://github.com/componentjs/component/wiki/Components) which is kind of the _old registry_.

[[component.io]](http://stackoverflow.com/questions/tagged/component.io) on Stack Overflow

[@componentIO](http://twitter.com/componentIO) on Twitter

You should use `component.io` in a general context to avoid disambiguation.

## component in another context 

#### github.com/components
https://github.com/components is a GitHub organization which support many 
package manager like npm, Bower, Component, Jam, volo, ...

https://github.com/components/components


#### ComponentJS
Run-time Component System for structuring HTML5-based Rich Clients by  
Ralf S. Engelschall

http://componentjs.com

#### bower's component.json
Bower has now their own [bower.json](https://github.com/bower/bower.json-spec) 
file. But in earlier versions they used 
[component.json](https://groups.google.com/forum/#!topic/twitter-bower/Dcq8G0en1WI). 
Some properties of `bower.json` and [component's](https://github.com/componentjs/spec/blob/master/component.json/specifications.md) `component.json` have the 
same name, but there is no `scripts` property, so `bower.json` is not compatible 
with component.

http://bower.io

#### webcomponents 
Web Components are a collection of standards which are working their way 
through the W3C. They enable truly encapsulated and reusable components for 
the web. And if you think HTML5 changed the web, wait to see what Web 
Components will do.

http://webcomponents.org
